Bug 110594 - Multiple CSS plus selector not working after checkbox:checked
Summary: Multiple CSS plus selector not working after checkbox:checked
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Benjamin Poulain
URL: http://www.basechat.com/chromebug/che...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-22 05:19 PST by Anders Both
Modified: 2015-02-02 12:10 PST (History)
1 user (show)

See Also:


Attachments
Patch (18.75 KB, patch)
2015-02-01 18:56 PST, Benjamin Poulain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Both 2013-02-22 05:19:37 PST
If you try to identify an element with mulitple CSS plus selectors it is not working, if the first selector is a input[type="checkbox"]:checked. 

This bug is also there for input[type="radiao]:checked, but e.g for div:hover it is working.

There is a minimal testcase her : http://www.basechat.com/chromebug/checkbox.htm 

You can check and uncheck the checkbox to generate the bug, and test in firefox or IE to see the expected behavior.

Best regards,

Anders Both
Denmark
Comment 1 Anders Both 2013-02-22 05:22:25 PST
This is the thing not working: "input[type="checkbox"]:checked + div + div"
Comment 2 Benjamin Poulain 2015-02-01 18:56:00 PST
Created attachment 245852 [details]
Patch
Comment 3 Benjamin Poulain 2015-02-02 12:10:08 PST
Comment on attachment 245852 [details]
Patch

Clearing flags on attachment: 245852

Committed r179484: <http://trac.webkit.org/changeset/179484>
Comment 4 Benjamin Poulain 2015-02-02 12:10:13 PST
All reviewed patches have been landed.  Closing bug.